; *******************************************
; SIP Global configuration
; *******************************************

[global]
type=global
endpoint_identifier_order = header,username

[transport-udp]
type=transport
protocol=udp
bind=0.0.0.0

[transport-wss]
type=transport
protocol=wss
bind=0.0.0.0

; ----------------------------
; agents
; ----------------------------

[2000]
type = aor
max_contacts = 10

[2000]
type = auth
username = 2000
password = 1

[2000-webrtc]
type = identify
endpoint = 2000-webrtc
match_header = From-WebRTC: 2000

[2000-webrtc]
type=endpoint
context=crossty-agents
aors=2000
auth=2000
transport=transport-wss
identify_by=header
use_avpf=yes
media_encryption=dtls
dtls_cert_file=/etc/asterisk/keys/asterisk.pem
dtls_private_key=/etc/asterisk/keys/asterisk.key
dtls_verify=fingerprint
dtls_setup=actpass
ice_support=yes
media_use_received_transport=yes
rtcp_mux=yes
direct_media=no
allow=!all,alaw,vp8,h264